package com.xunhong.erp.turbo.api.rbac.exception;


import com.xunhong.erp.turbo.base.exception.BizException;
import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传异常
 */
public class RbacException extends BizException {

	public RbacException(ErrorCode errorCode) {
		super(errorCode);
	}

	public RbacException(String message, ErrorCode errorCode) {
		super(message, errorCode);
	}

	public RbacException(String message, Throwable cause, ErrorCode errorCode) {
		super(message, cause, errorCode);
	}

	public RbacException(Throwable cause, ErrorCode errorCode) {
		super(cause, errorCode);
	}

	public RbacException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, ErrorCode errorCode) {
		super(message, cause, enableSuppression, writableStackTrace, errorCode);
	}

}
